Adding agetty program to p4080ds

cancel
Showing results for 
Search instead for 
Did you mean: 

Adding agetty program to p4080ds

304 Views
yoav_rubin2
Contributor I

Hi ,

My goal is to perform system auto login without any username/password prompt.

Currently we only have the busybox getty program which not support this feature.

We using the yocto env with linux 4.1.8 and system v init.

 

I need to add and execute the agetty program instead of the busybox getty I currently have.

I searched for agetty and found some bin files across couple folders inside the QorIQ-SDK folder such as

1. QorIQ-SDK.../build_p4080ds/tmp/work/ppce500ms-fsl-linux/util-linux/2.62.2-r0/package/sbin/agetty

2. QorIQ-SDK.../build_p4080ds/tmp/work/ppce500ms-fsl-linux/util-linux/2.62.2-r0/package/sbin/.debug/agetty

3. QorIQ-SDK.../build_p4080ds/tmp/work/ppce500ms-fsl-linux/util-linux/2.62.2-r0/packages-split/util-linux-dbg/sbin/.debug/agetty

4. QorIQ-SDK.../build_p4080ds/tmp/work/ppce500ms-fsl-linux/util-linux/2.62.2-r0/packages-split/util-linux-agetty/sbin/agetty

5. QorIQ-SDK.../build_p4080ds/tmp/work/x86_64-linux/util-linux-native/2.62.2-r0/sysroot-destdir/home/gripen/Public/QorIQ-SDK.../build_p4080ds/tmp/sysroots/x86_64-linux/sbin/agetty

6. QorIQ-SDK.../build_p4080ds/tmp/sysroots/x86_64-linux/sbin/agetty

I tried to copy one of these files into my own /bin folder and run it from /etc/inittab file and got the error:

"/bin/agetty: /bin/agetty: cannot execute binary file"

Additionaly, I added the following line to QorIQ.../build_p4080ds/conf/local.conf : IMAGE_INSTALL_apped = " agetty"

and run:   . ./fsl-setup-env -m p4080ds   (from QorIQ folder)

followed by: bitbake fsl-image-core (from build_p4080ds folder)

and got the error:

ERROR: Nothing RPROVIDES 'agetty' (but /home/gripen/Public/QorIQ.../sources/meta-freescale/recipes-fsl/images/fsl-image-core.bb RDEPENDS on or otherwise requires it)

ERROR: Required build target 'fsl-image-core' has no buildable providers.

Missing or unbuildable dependency chain was: ['fsl-image-core' , 'agetty']

thanks

Labels (1)
0 Kudos
3 Replies

198 Views
yipingwang
NXP TechSupport
NXP TechSupport

Please add "util-linux-agetty" in IMAGE_INSTALL_append of meta-freescale/recipes-fsl/images/fsl-image-core.bb.

IMAGE_INSTALL_append = " \
    packagegroup-fsl-tools-core \
    packagegroup-fsl-benchmark-core \
    packagegroup-fsl-networking-core \
    glibc-locale \
    glibc-utils \
"

0 Kudos

198 Views
yoav_rubin2
Contributor I

thanks for your reply!

1. I didn't had the:

glibc-locale \

glibc-utils \

lines in my file. Are they important?, what they do?,  is there any documentation I can read?

2. It still doesn't work.

my original file:

require fsl-image-mfgtool.bb

SUMMARY = "Small image to be used for evaluating the Freescale socs"
DESCRIPTION = "Small image which includes some helpful tools and \
Freescale-specific packages. It is much more embedded-oriented \
than fsl-image-full to evaluate the Freescale socs."

LICENSE = "MIT"

IMAGE_INSTALL_append = " \
    packagegroup-fsl-tools-core \
    packagegroup-fsl-benchmark-core \
    packagegroup-fsl-networking-core \
"


IMAGE_INSTALL_append_imx = " \
    packagegroup-fsl-graphics-core \
"

new file:

require fsl-image-mfgtool.bb

SUMMARY = "Small image to be used for evaluating the Freescale socs"
DESCRIPTION = "Small image which includes some helpful tools and \
Freescale-specific packages. It is much more embedded-oriented \
than fsl-image-full to evaluate the Freescale socs."

LICENSE = "MIT"

IMAGE_INSTALL_append = " \
    packagegroup-fsl-tools-core \
    packagegroup-fsl-benchmark-core \
    packagegroup-fsl-networking-core \
    glibc-locale \
    glibc-utils \
    util-linux-agetty \
"


IMAGE_INSTALL_append_imx = " \
    packagegroup-fsl-graphics-core \
"

output:

[gripen@macaw QorIQ-SDK-V2.0-20160527-yocto]$ . ./fsl-setup-env -m p4080ds
Configuring for p4080ds ...
/home/gripen/Public/QorIQ-SDK-V2.0-20160527-yocto/build_p4080ds was created before.
Back to build project /home/gripen/Public/QorIQ-SDK-V2.0-20160527-yocto/build_p4080ds.
Nothing is changed.
[gripen@macaw build_p4080ds]$ bitbake fsl-image-core
WARNING: Host distribution "CentOS-Linux-7.6.1810" has not been validated with this version of the build system; you may possibly experience unexpected failures. It is recommended that you use a tested distribution.
Loading cache: 100% |#############################################################################################################| ETA:  00:00:00
Loaded 3371 entries from dependency cache.
Parsing recipes: 100% |###########################################################################################################| Time: 00:00:00
Parsing of 2682 .bb files complete (2679 cached, 3 parsed). 3370 targets, 239 skipped, 0 masked, 0 errors.
NOTE: Resolving any missing task queue dependencies
ERROR: Nothing RPROVIDES 'agetty' (but /home/gripen/Public/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-freescale/recipes-fsl/images/fsl-image-core.bb RDEPENDS on or otherwise requires it)
NOTE: Runtime target 'agetty' is unbuildable, removing...
Missing or unbuildable dependency chain was: ['agetty']
ERROR: Required build target 'fsl-image-core' has no buildable providers.
Missing or unbuildable dependency chain was: ['fsl-image-core', 'agetty']

Summary: There was 1 WARNING message shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.
[gripen@macaw build_p4080ds]$

0 Kudos

198 Views
yipingwang
NXP TechSupport
NXP TechSupport

Please refer to IMAGE_INSTALL_append variable in sources/meta-freescale/recipes-fsl/images/fsl-image-core.bb.

IMAGE_INSTALL_append = " \
    packagegroup-fsl-tools-core \
    packagegroup-fsl-benchmark-core \
    packagegroup-fsl-networking-core \
    glibc-locale \
    glibc-utils \
    util-linux-agetty \
"

0 Kudos